Android P pode bloquear funcionamento de apps antigos

Veja mais informações sobre o possível bloqueio de aplicativos antigos com a chegada do Android P.

Até janeiro deste ano apenas 0,7% da população mundial possuía o Android Oreo (8.0 e 8.1) em seus dispositivos. Pouquíssimo tempo depois foi lançando o chamado Android P (pineapple), mais precisamente no começo deste mês.

A nova versão chega repleta de recursos e melhorias na performance, porém terá de atender alguns requisitos com relação ao funcionamento dos aplicativos.

Continue lendo para conferir mais informações sobre este requisito do SO Android P.

Android P pode bloquear funcionamento de apps antigos

Em uma análise a versão prévia do sistema, os próprios desenvolvedores identificaram que a mesma exigirá o uso de APIs mais recentes nos aplicativos. Aplicativos que não possuírem a versão 17 ou superior da interface serão notificados pelo próprio sistema com a seguinte mensagem:

Este aplicativo foi criado para uma versão mais antiga do Android e pode não funcionar corretamente. Tente verificar atualizações ou entre em contato com o desenvolvedor”

Mas o que é um API?

Application Programming Interface ou Interface de Programação de Aplicativos é significado da sigla API. Ele é basicamente um conjunto de padrões e rotinas de programação para acessar um aplicativo de software ou outra plataforma baseada na web.

Para uma explicação mais clara e aprofundada clique neste link.

Google já havia iniciado algumas táticas para diminuir a quantidade de aplicativos ultrapassados em sua loja oficial, a Play Store. Entretanto, com a nova versão do sistema, quase todos os apps obsoletos serão retirados do sistema.

Visto que o requisito foi identificado na versão prévia do sistema, pode ser que o mesmo seja implementado ou descartado em sua versão final.

Continue nos acompanhando para mais informações sobre esta notícia!

 

Veja também: Baixe agora a atualização do Outlook para Android

Você acabou de ler: Android P pode bloquear funcionamento de apps antigos